Scheduled Campaign Data (Basic authentication)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Schedule Campaign Data API adds data to the dialer(Outbound campaign) at a scheduled time. Time can be scheduled by including the parameter “ScheduledTime” in the request. Data(numbers/leads) consists of mapping(Headers) sequence listing PhoneNumber, Name, ExpiryDate, ScheduledTime, etc., while adding to the dialer.


📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

❗️

Rate Limit

The API allows a maximum of 100 numbers per request.

👍

Note:

  • Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
  • Data can be scheduled for any date within the next 30 days from today and will be added to the campaign on that day.
  • Add the "checkDuplicate" parameter by setting it to "true" to verify if a PhoneNumber already exists in the campaign data. If a duplicate is found, the existing number will be removed, and the most recent PhoneNumber entry will be added in its place.

Header parameters

ParameterDescription
apiKey*Your CloudAgent account API Key
Content-Typeapplication/json

Body Params (Example format)

{"userName":"xxxx","campaignName":"xxxx","checkDuplicate":true,"bulkData":{"map":["PhoneNumber","Name","ExpiryDate","ScheduledTime"],"data":[["81xxxxxx8","Agent1","2025-07-11 15:35:00","2025-02-13 21:14:00"],["1234565432","Agent2","2025-07-11 15:35:00","2025-02-13 21:14:00"],["63xxxxxxx2","Agent3","2025-07-11 15:35:00","2025-02-13 21:14:00"]]}}

Possible responses

Success Response

{
    "message": [        
 {
            "Response": "success",
            "msg": "Data updated successfully",
            "campaign_name": "xxx",
            "ExpiryDate": null,
            "ScheduleTime": "2026-03-12 13:43:00",
            "skill": null,
            "index": 3,
            "PhoneNumber": "+91xxxx8",
            "AgentID": "xxx",
            "rowId": 169201
        }
    ],
    "status": "success"
}  

Error Responses

Invalid api_key"status": "error"
"message": "api_key or campaign_name is invalid or not found"
Invalid Campaign name"status: "error"
"message": "api_key or campaign_name is invalid or not found"
Missing ScheduledTime"status": "error"
"message": "Mandatory parameter ScheduledTime is in bulkData map"
Missing bulkData"status": "error"
"message": {
"0-0": "Success response",
"0-1": ""status": "s}
Missing PhoneNumber"status": "success",
"message": {
"0-0": "Success response",
"0-1": ""status": "success",\n"message": [{"Response": "success",\n"ScheduleTime": "YYYY-MM-DD HH:MM:SS",\n"campaign_name": "Schedxxxx",\n"PhoneNumber": "040XXXXX",\n"Name": "NameXXX2",\n"AgentID": "AgentID2XXX",\n"skill": "Skill_2",\n"msg": "Data updated successfully",\n"index": "0"",
"1-0": "Invalid api_key",
"1-1": ""status": "error"\n"message": "api_key or campaign_name is invalid or not found"",
"2-0": "Invalid Campaign name",
"2-1": ""status: "error"\n"message": "api_key or campaign_name is invalid or not found"",
"3-0": "Missing ScheduledTime",
"3-1": ",
Invalid Date format"status": "error"
message": "Wrong Date format"
When the scheduled time is more than 30 days from today

{

"message": "ScheduledTime exceeds 30 days limit at index xx","status": "error"

}

Body Params
Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!